*{
    padding: 0;
    margin: 0;
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
    box-sizing: border-box;
}
.container{
    max-width: 1320px;
    padding: 0 10px;
    margin: 0 auto;
    width: 100%;
}
.row{
    display: flex;
    gap: 40px;
    align-items: center;
    justify-content: space-between;
}
header{
    background-color: black;
    padding: 20px 0;
}
header a{
    font-size: 20px;
    color: white;
    text-decoration: none;
    font-weight: 500;
}
.hero-slider__list{
    display: flex;
    position: relative;
    left: 0;
    transition: all 0.5s;
}
.slider-item{
    height: calc(100dvh - 63.2px);
    width: 100%;
    flex-shrink: 0;
}
.slider-item img{
    object-fit: cover;
    height: 100%;
    width: 100%;
}
.hero-slider{
    width: 100%;
    overflow: hidden;
    position: relative;
}
.slider-dots{
    display: flex;
    justify-content: center;
    gap: 20px;
    list-style: none;
    position: absolute;
    bottom: 20px;
    width: 100%;
}
.slider-dots li{
    width: 15px;
    height: 15px;
    background-color: white;
    border-radius: 100%;
    opacity: 0.5;
    cursor: pointer;
}
.slider-dots li.active{
    opacity: 1;
}
.games{
    padding: 70px 0;
}
h1,h2{
    font-size: 28px;
    margin-bottom: 40px;
    text-align: center;
}
.games li{
    list-style: none;
    font-size: 24px;
    cursor: pointer;
    margin: 15px 0;

}
.games-img{
    width: 900px;
    height: 500px;
    position: relative;
    overflow: hidden;
}
.games-img img{
    width: 50%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: -100%;
    left: 0;
    z-index: 1;
    border-radius: 0 0 300px 0;
    transition: all 0.4s ease-out;
}
.games li.active{
    font-size: 28px;
    font-weight: 700;
}
.games-img img.active{
    z-index: 2;
    top: 0;
    width: 100%;
    border-radius: 15px;
}
.cards{
    background-color: black;
    padding: 70px 0;
    color: white;
}
.cards-item{
    width: 300px;
    text-align: center;
}
.cards-item img{
    width: 300px;
    height: 300px;
    object-fit: cover;
    margin-bottom: 30px;
}
.random{
    padding: 70px 0;
}
.random-game{
    width: 70%;
}
.random-game img{
    width: 100%;
    height: 450px;
   object-fit: cover;
}
.random-game p{
    font-size: 30px;
    margin-top: 30px;
}
.random-info h2{
    font-size: 30px;
}
.random-info button{
    cursor: pointer;
    background-color: black;
    color: white;
    padding: 10px;
    font-size: 20px;
    width: 220px;
    border-radius: 25px;
    transition: all 0.3s;
}
.random-info button:hover{
    box-shadow: 1px 1px 4px rgb(0, 0, 0);
}
footer{
    background-color: black;
    padding: 20px;
}
footer img{
    width: 40px;
    height: 40px;
}
footer a{
    color: white;
    font-size: 18px;
    text-decoration: none;
}
.cards .row{
  flex-wrap: wrap;
  justify-content: center;
}

.burger{
  height: 30px;
  width: 40px;
  display: none;
  flex-direction: column;
  justify-content: space-between;
}

.burger figure{
  height: 4px;
  background-color: aliceblue;
  border-radius: 5px;
  width: 100%;
  transition: all 0.4s;
}

.burger.active figure:nth-child(1){
  transform: rotate(-45deg) translate(-10px, 8px);
}
.burger.active figure:nth-child(2){
  width: 0;
  transform: translate(20px);
}
.burger.active figure:nth-child(3){
  transform: rotate(45deg) translate(-10px, -8px);
}

@media all and (max-width: 768px) {
  .burger{
    display: flex;
  }
  nav{
    position: absolute;
    left: -120%;
    top: 0;
    width: 80%;
    height: 100vh;
    background-color: black;
    z-index: 10;
    transition: all 0.4s;
  }
  nav .row{
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    gap: 70px;
  }
  header a{
    font-size: 24px;
  }
  nav.active{
    left: 0;
  }
  .games .row{
    flex-wrap: wrap;
  }
  .games ul{
    display: flex;
    flex-wrap: wrap;
    column-gap: 50px;
    row-gap: 15px;
  }
  .games li{
    color: rgb(183, 183, 183);
  }
.games li.active{
    font-size: 24px;
    color: black;
    font-weight: 500;
    transform: scale(1.01);
  }
  .random .row{
    text-align: center;
    flex-wrap: wrap;
    justify-content: center;
  }
  .random-game{
    width: 100%;
  }
  .random-game img{
  width: 100%;
  height: 370px;
  object-fit: cover;
}
}